package com.pmease.quickbuild.plugin.scm.svn;

import com.pmease.quickbuild.extensionpoint.RepositoryProvider;
import com.pmease.quickbuild.pluginsupport.AbstractPlugin;
import com.pmease.quickbuild.pluginsupport.PluginCategory;
import com.pmease.quickbuild.repositorysupport.Repository;

public class SvnPlugin extends AbstractPlugin {

	@Override
	public Object[] getExtensions() {
		return new Object[] {
			new RepositoryProvider() {

				@Override
				public Class<? extends Repository<?>> getRepositoryClass() {
					return SvnRepository.class;
				}

			}
		};
	}

	@Override
	public Class<?> getSettingClass() {
		return SvnSetting.class;
	}

	public PluginCategory getCategory() {
		return PluginCategory.SCM;
	}

}
